
import axios from 'axios';
const baseUri = "/waterFunctionArea/WaterStationPoint";
const listAllUrl = baseUri + "";

// 添加
const savePlace = function (data) {
    return axios.post("/waterFunctionArea/WaterStationPoint",data)
}

// 删除
const removePlace = function (id) {
    return axios.delete(`/waterFunctionArea/WaterStationPoint/${id}`,)
}
// 批量删除
const removeBatchPlace = function (ids) {
    return axios.delete("/waterFunctionArea/WaterStationPoint/batch",{data:ids})
}

// 修改
const updatePlace = function (data) {
    return axios.put("/waterFunctionArea/WaterStationPoint",data)
}

const copyBatchPlace = function (data){
    return axios.post("/waterFunctionArea/WaterStationPoint/copyBatch",data)
}
const getColumnOptions = function(column){
    return axios.get("/waterFunctionArea/WaterStationPoint/options",{params:{column}})
}
const listInfo = function(){
    return axios.post("/waterFunctionArea/WaterStationPoint/listInfo",{})
}
export {
    listInfo,
    listAllUrl,
    savePlace,
    updatePlace,
    removeBatchPlace,
    removePlace,
    copyBatchPlace,
    getColumnOptions

}
